html {
  box-sizing: border-box;
  font-size: 100%;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}
body {
  font: 400 1rem/1.25 'Myriad Pro', sans-serif;
  color: $negro;
}
a {
  text-decoration: none;
  background: none;
  &:hover {
    text-decoration: none;
    color: $azulClaro;
  }
}
img {
  width: 100%;
  height: auto;
}
/*
TAMAÑOS DE FUENTE

fontScale -> .fs
source: http://www.modularscale.com/

$base: 1rem;
$fs-ratio: 1.125;
*/

.fs5 {
  font-size: 1.802rem !important;
}
.fs4 {
  font-size: 1.602rem !important;
}
.fs3 {
  font-size: 1.424rem !important;
}
.fs2 {
  font-size: 1.266rem !important;
}
.fs1 {
  font-size: 1.125rem !important;
}
.fs0 {
  font-size: 1rem !important;
}
.fs-1 {
  font-size: 0.889rem !important;
}
.fs-2 {
  font-size: 0.79rem !important;
}

//font Color
.color-blanco {
  color: $blanco;
}
.color-azulClaro {
  color: $azulClaro;
}
.color-gris {
  color: $gris;
}
.color-grisOscuro {
  color: $grisOscuro;
}

//familias tipograficas
.ff-helvetica {
  font-family: 'Helvetica Nue';
}
.ff_myriad_pro {
  font-family: 'Myriad Pro'
}
.ff_myriad_pro_bold {
  font-family: 'Myriad Pro';
  font-weight: bold;
}
.ff_myriad_pro_cond {
  font-family: 'Myriad Pro';
  font-stretch: condensed;
}
.ff_myriad_pro_boldCond {
  font-family: 'Myriad Pro';
  font-weight: bold;
  font-stretch: condensed;
}

//texto en mayuscula
.uppercase {
  text-transform: uppercase;
}

//texto align
.ta-center {
  text-align: center;
}
.ta-left {
  text-align: left;
}







/*
Footer
===========================================00*/
.footer-ganadores{
  background-color: #035483;
  padding: 0.6em 0;
  height: inherit;
  .row{
    min-height: 3em;
    padding: 0;
    .col{
      background-color: #0F152A;
      text-align: center;
      &:nth-of-type(1){
        position: relative;
        &::after{
          position: absolute;
          // content: '';
          height: 100%;
          width: 5px;
          top: 0;
          right: -2px;
          background-color: $azulClaro;
        }
      }
    }
  }
  span{
    color: $blanco;
    line-height: 3em;
  }
}


/*
titulos
=============================================*/
.title-section{
  border: 3px solid;
  box-sizing: border-box;
  width: 90%;
  margin: 1em auto;
  padding-bottom: 3px;
  h1{
    margin: 0;
    //text-align: center;
  }
}

hr {
  border: 0;
  border-bottom: 1px dashed $negro;
}

/*
form
===============================================*/

.form{
  input[type="text"], input[type="email"], input[type="tel"], input[type="date"], select, textarea  {
    width: 100%;
    padding-bottom: 0;
    border-radius: 0;
    margin: 0;
    outline: none;
    background: none;
    font-family: 'Myriad Pro';
    font-weight: bold;
  }
  .item{
    border-color: $negro;
  }
  ::-webkit-input-placeholder { /* Chrome/Opera/Safari */
    color: $negro !important;
  }
  ::-moz-placeholder { /* Firefox 19+ */
    color: $negro !important;
  }
  :-ms-input-placeholder { /* IE 10+ */
    color: $negro !important;
  }
  :-moz-placeholder { /* Firefox 18- */
    color: $negro !important;
  }
  .item-select {
    .input-label{
      color: $negro !important;
      z-index: 9;
      font-family: 'Myriad Pro';
      font-weight: bold;
      font-size: 14px;
    }
    select{
      max-width: 56%;
      padding: 0 25px 0 22px;
      direction: ltr;
      //color: $gris;
      option{
        font-family: 'Myriad Pro';
        font-weight: bold;
      }
    }
    &::after{
      right: 8px;
    }
  }

  a.button{
    font-family: 'Myriad Pro';
    font-weight: bold;
    color: $azulClaro !important;
    background: none;
    &.btn-registr{
      background-color: $azulClaro !important;
      color: $blanco !important;
    }

  }
}

.pregunta0{
  h1{
    text-align: center;
  }
  .content-quien{
    text-align: center;
    label{
      border: none;
    }
  }
  .list{
    ::placeholder{
      color: $negro !important;
      font-family: 'Helvetica Nue';
      font-size: 1.424rem !important;
      text-align: center;
    }
    input{
      padding-top: 16px;
      ::placeholder{
        color: $negro !important;
      }
    }
  }

  .ui.radio.checkbox{
    input{
      display: inline-block;
      vertical-align: middle;
      &.ng-valid-parse{
        &::before{
          background-color: $azulClaro !important;
          border-color: $azulClaro !important;
        }
      }
    }
  }
}


.pregunta1,
.pregunta2,
.pregunta3,
.pregunta4,
.pregunta5,
.pregunta6{
  .form{
    .item{
      border: none !important;
      padding: 2em 1em;
      p, b, a {
        white-space: initial;
      }
      .item-input{
        padding: 0;
      }
      textarea{
        border:1px solid $negro;
      }
    }
  }
}


.button-siguiente{
  background-color: $azulClaro;
  color: $blanco;
}


/*
nav side
===========================================00*/
ion-side-menus{
  ion-header-bar{
    h1{
      height: 60px !important;
      line-height: 60px !important;
      background-color: $azulClaro;
      color: transparent !important;
      margin: -0px !important;
    }
  }
  .nav-bar{
    top: 0 !important;
  }
}
